## scrypt 0.1.0

=== DESCRIPTION ===
Package: scrypt
Type: Package
Title: scrypt key derivation functions for R
Version: 0.1.0
Author: RStudio, Inc.; Colin Percival
Copyright: RStudio, Inc.; Colin Percival
Maintainer: Andy Kipp <andy@rstudio.com>
Description: scrypt is an R package for working with scrypt. Scrypt is a
    password-based key derivation function created by Colin Percival. The
    algorithm was specifically designed to make it costly to perform
    large-scale custom hardware attacks by requiring large amounts of memory.
License: FreeBSD | file LICENSE
Depends: R (>= 2.15.1)
URL: https://github.com/rstudio/rscrypt
Imports: Rcpp (>= 0.10.6)
LinkingTo: Rcpp
Packaged: 2014-02-25 22:11:57 UTC; akipp
NeedsCompilation: yes
Repository: CRAN
Date/Publication: 2014-02-26 00:49:40

## scrypt 0.1.1

=== DESCRIPTION ===
Package: scrypt
Type: Package
Title: scrypt key derivation functions for R
Version: 0.1.1
Author: RStudio, Inc.; Colin Percival
Copyright: RStudio, Inc.; Colin Percival
Maintainer: ORPHANED
Description: scrypt is an R package for working with scrypt. Scrypt is a
    password-based key derivation function created by Colin Percival. The
    algorithm was specifically designed to make it costly to perform
    large-scale custom hardware attacks by requiring large amounts of memory.
License: FreeBSD | file LICENSE
Depends: R (>= 2.15.1)
URL: https://github.com/rstudio/rscrypt
Imports: Rcpp (>= 0.10.6)
LinkingTo: Rcpp
Packaged: 2016-10-25 09:19:42 UTC; ripley
NeedsCompilation: yes
Repository: CRAN
Date/Publication: 2016-10-25 11:23:12
X-CRAN-Original-Maintainer: Andy Kipp <andy@rstudio.com>
X-CRAN-Comment: Orphaned on 2016-10-25 as no response from the
        maintainer to fatal errors on macOS.

## scrypt 0.1.3

=== DESCRIPTION ===
Package: scrypt
Type: Package
Title: Key Derivation Functions for R Based on Scrypt
Version: 0.1.3
Authors@R: c(
    person("Bob", "Jansen", email = "bobjansen@gmail.com", role = c("ctb", "cre")),
    person("Andy", "Kipp", email = "andy@rstudio.com", role = c("aut")),
    person("Colin", "Percival", role = c("aut", "cph")),
    person(family = "RStudio", role = "cph")
    )
Copyright: RStudio, Inc.; Colin Percival
Maintainer: Bob Jansen <bobjansen@gmail.com>
Description: Functions for working with the scrypt key derivation functions
    originally described by Colin Percival
    <https://www.tarsnap.com/scrypt/scrypt.pdf> and in Percival and Josefsson
    (2016) <doi:10.17487/RFC7914>. Scrypt is a password-based key derivation
    function created by Colin Percival. The algorithm was specifically designed
    to make it costly to perform large-scale custom hardware attacks by
    requiring large amounts of memory.
License: FreeBSD
Depends: R (>= 3.0.0)
URL: https://github.com/rstudio/rscrypt
Imports: Rcpp (>= 0.10.6)
LinkingTo: Rcpp
NeedsCompilation: yes
Packaged: 2019-07-21 16:15:29 UTC; brj
Author: Bob Jansen [ctb, cre],
  Andy Kipp [aut],
  Colin Percival [aut, cph],
  RStudio [cph]
Repository: CRAN
Date/Publication: 2019-08-09 13:30:08 UTC

## scrypt 0.1.4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: scrypt
 Type: Package
 Title: Key Derivation Functions for R Based on Scrypt
-Version: 0.1.3
+Version: 0.1.4
 Authors@R: c(
     person("Bob", "Jansen", email = "bobjansen@gmail.com", role = c("ctb", "cre")),
     person("Andy", "Kipp", email = "andy@rstudio.com", role = c("aut")),
@@ -23,10 +23,10 @@
 Imports: Rcpp (>= 0.10.6)
 LinkingTo: Rcpp
 NeedsCompilation: yes
-Packaged: 2019-07-21 16:15:29 UTC; brj
+Packaged: 2022-04-16 07:42:51 UTC; brj
 Author: Bob Jansen [ctb, cre],
   Andy Kipp [aut],
   Colin Percival [aut, cph],
   RStudio [cph]
 Repository: CRAN
-Date/Publication: 2019-08-09 13:30:08 UTC
+Date/Publication: 2022-04-19 11:30:02 UTC

## scrypt 0.1.5

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: scrypt
 Type: Package
 Title: Key Derivation Functions for R Based on Scrypt
-Version: 0.1.4
+Version: 0.1.5
 Authors@R: c(
     person("Bob", "Jansen", email = "bobjansen@gmail.com", role = c("ctb", "cre")),
     person("Andy", "Kipp", email = "andy@rstudio.com", role = c("aut")),
@@ -19,14 +19,14 @@
     requiring large amounts of memory.
 License: FreeBSD
 Depends: R (>= 3.0.0)
-URL: https://github.com/rstudio/rscrypt
+URL: https://github.com/bobjansen/rscrypt
 Imports: Rcpp (>= 0.10.6)
 LinkingTo: Rcpp
 NeedsCompilation: yes
-Packaged: 2022-04-16 07:42:51 UTC; brj
+Packaged: 2023-01-17 07:08:59 UTC; brj
 Author: Bob Jansen [ctb, cre],
   Andy Kipp [aut],
   Colin Percival [aut, cph],
   RStudio [cph]
 Repository: CRAN
-Date/Publication: 2022-04-19 11:30:02 UTC
+Date/Publication: 2023-01-17 07:30:02 UTC

## scrypt 0.1.6

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: scrypt
 Type: Package
 Title: Key Derivation Functions for R Based on Scrypt
-Version: 0.1.5
+Version: 0.1.6
 Authors@R: c(
     person("Bob", "Jansen", email = "bobjansen@gmail.com", role = c("ctb", "cre")),
     person("Andy", "Kipp", email = "andy@rstudio.com", role = c("aut")),
@@ -23,10 +23,10 @@
 Imports: Rcpp (>= 0.10.6)
 LinkingTo: Rcpp
 NeedsCompilation: yes
-Packaged: 2023-01-17 07:08:59 UTC; brj
+Packaged: 2023-01-29 15:00:34 UTC; brj
 Author: Bob Jansen [ctb, cre],
   Andy Kipp [aut],
   Colin Percival [aut, cph],
   RStudio [cph]
 Repository: CRAN
-Date/Publication: 2023-01-17 07:30:02 UTC
+Date/Publication: 2023-01-29 15:40:02 UTC

## scrypt 1.1.6

=== debian/changelog ===
scrypt (1.1.6-3) unstable; urgency=low

  * dh9
  * bump policy version, no changes needed

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 08 Mar 2012 16:41:25 +0000

scrypt (1.1.6-2) unstable; urgency=low

  * Add build dependency on libssl-dev (closes: #624132)

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 26 Apr 2011 12:15:52 +0100

scrypt (1.1.6-1) unstable; urgency=low

  * Initial release (Closes: #620806)

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 04 Apr 2011 10:39:18 +0100

=== debian/control ===
Source: scrypt
Section: utils
Priority: optional
Maintainer: Barak A. Pearlmutter <bap@debian.org>
Build-Depends: debhelper (>= 9), autotools-dev (>= 20100122.1~), libssl-dev
Standards-Version: 3.9.3
Homepage: http://www.tarsnap.com/scrypt.html
Vcs-Git: git://git.debian.org/git/collab-maint/scrypt.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/scrypt.git;a=summary

Package: scrypt
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: File encryption utility using scrypt for key derivation
 A simple password-based encryption utility which demonstrates the
 scrypt key derivation function.  On modern hardware and with default
 parameters, the cost of cracking the password on a file encrypted by
 scrypt enc is approximately 100 billion times more than the cost of
 cracking the same password on a file encrypted by openssl enc; this
 means that a five-character password using scrypt is stronger than a
 ten-character password using openssl.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

%:
	dh $@ --with autotools_dev --parallel

=== debian/watch ===
version=3
http://www.tarsnap.com/scrypt.html scrypt/scrypt-(.*)\.tgz

## scrypt 1.1.6+svn31

=== Makefile ===
PROG=	scrypt
VER?=	nosse
SRCS=	main.c
LDADD+=	-lcrypto
WARNS?=	6

# We have a config file for FreeBSD
CFLAGS	+=	-I .
CFLAGS	+=	-DCONFIG_H_FILE=\"config_freebsd.h\"

# Include all possible object files containing built scrypt code.
CLEANFILES	+=	crypto_scrypt-ref.o
CLEANFILES	+=	crypto_scrypt-sse.o
CLEANFILES	+=	crypto_scrypt-nosse.o

.PATH.c	:	lib/util
.PATH.c	:	libcperciva/util
SRCS	+=	memlimit.c readpass.c warnp.c
CFLAGS	+=	-I lib/util -I libcperciva/util
.PATH.c	:	lib/crypto
.PATH.c	:	libcperciva/alg
.PATH.c	:	libcperciva/crypto
SRCS	+=	crypto_aesctr.c crypto_scrypt-${VER}.c sha256.c
CFLAGS	+=	-I lib/crypto -I libcperciva/alg -I libcperciva/crypto
.PATH.c	:	lib/scryptenc
SRCS	+=	scryptenc_cpuperf.c scryptenc.c
CFLAGS	+=	-I lib/scryptenc

#======== public code ends here
SCRYPTVERSION!=basename `pwd` | cut -f 2 -d -
PKGNAME=scrypt-${SCRYPTVERSION}
PKGSIGS=scrypt-sigs-${SCRYPTVERSION}

publish-at:
	mkdir -p ${PKGNAME}
	cp -R lib libcperciva autocrap ${PKGNAME}
	cp scrypt_platform.h main.c FORMAT scrypt.1 ${PKGNAME}
	echo -n '${SCRYPTVERSION}' > scrypt-version
	mkdir -p config.aux
	aclocal -I .
	autoheader
	automake -a -c
	autoconf
	mv Makefile.in config.h.in configure ${PKGNAME}/
	rm aclocal.m4
	mv config.aux ${PKGNAME}/
	rm scrypt-version
	tar -czf ${PKGNAME}.tgz ${PKGNAME}
	rm -rf ${PKGNAME}

publish: publish-at
	sha256 ${PKGNAME}.tgz |			\
	    gpg --secret-keyring $GPGKEYFILE --clearsign -u $GPGKEYID \
	    > ${PKGSIGS}.asc

.include <bsd.prog.mk>

=== debian/changelog ===
scrypt (1.1.6+svn31-1) unstable; urgency=medium

  * add pointer to upstream SVN repository, and discussion thereof
  * take upstream release from upstream SVN repository
  * patches:
    - avoid unnecessary -lrt
    - tweak autotools to build without manual intervention
  * switch from autotools-dev to dh-autoreconf
  * bump policy version
  * use canonical urls for packaging repository
  * enable sse2 when arch=amd64
  * include upstream tarball signing key (currently not checked)

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 11 Apr 2014 15:56:09 +0100

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: utils
 Priority: optional
 Maintainer: Barak A. Pearlmutter <bap@debian.org>
-Build-Depends: debhelper (>= 9), autotools-dev (>= 20100122.1~), libssl-dev
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 9), dh-autoreconf, libssl-dev
+Standards-Version: 3.9.5
 Homepage: http://www.tarsnap.com/scrypt.html
-Vcs-Git: git://git.debian.org/git/collab-maint/scrypt.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/scrypt.git;a=summary
+Vcs-Git: git://anonscm.debian.org/collab-maint/scrypt.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/scrypt.git
 
 Package: scrypt
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

%:
	dh $@ --with autoreconf --parallel

# The upstream Makefile in the tarball is not what you might expect,
# and causes a syntax error (missing separator) in GNU make.

override_dh_auto_clean:
	-rm -f Makefile
	dh_auto_clean

# Enable SSE2 on amd64.

# This would also work on *some* arch=i386 machines.  But the set of
# arch=i386 machines which support SSE2 but do not have hardware
# support for the amd64 instruction set is very small.  On an
# arch=i386 that does have amd64 instruction set, the benefit of using
# multiarch and installing the amd64 package is greater than the
# benefit of just turning on SSE2.  So to keep things simple and
# robust, we enable SSE2 only on amd64.

configure_flags := $(shell dpkg-architecture -eamd64 && echo --enable-sse2 || :)

override_dh_auto_configure:
	dh_auto_configure -- $(configure_flags)

## scrypt 1.2.0

=== debian/changelog ===
scrypt (1.2.0-1) unstable; urgency=medium

  * debian/source/local-options: single-debian-patch option
  * debian/copyright: modernize
  * debian/control:
    - bump standards version, no changes required
    - build depend on autoconf-archive for AX_CFLAGS_WARN_ALL quilt patch
  * new upstream version
  * forward port, simplify, and refactor quilt patches
  * debian/rules:
    - remove now-obsolete SSE configuration options
    - adjustments for autoreconf
    - upstream no longer distributes a top-level Makefile

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 27 Aug 2015 09:55:28 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,10 @@
 Section: utils
 Priority: optional
 Maintainer: Barak A. Pearlmutter <bap@debian.org>
-Build-Depends: debhelper (>= 9), dh-autoreconf, libssl-dev
-Standards-Version: 3.9.5
+Build-Depends: debhelper (>= 9),
+		dh-autoreconf, autoconf-archive,
+		libssl-dev
+Standards-Version: 3.9.6
 Homepage: http://www.tarsnap.com/scrypt.html
 Vcs-Git: git://anonscm.debian.org/collab-maint/scrypt.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/scrypt.git

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

%:
	dh $@ --with autoreconf --parallel

# The autotools sources are in a subdirectory but autotools needs them
# to be in the main directory.

override_dh_autoreconf:
	ln -sf autocrap/configure.ac autocrap/Makefile.am ./
	dh_autoreconf

=== debian/watch ===
version=3
http://www.tarsnap.com/scrypt.html scrypt/scrypt-(.*)\.tgz

# Signature looks like:
#  scrypt/scrypt-sigs-1.1.6.asc
# so should use:
#  opts="pgpsigurlmangle=s/\-(.*)\.tgz/-sigs-\\1.asc/"
# but ... that contains a signed armoured message containing an
# SHA256 hash of the tarball, intead of a detached PGP signature,
# so uscan fails to verify it anyway.

# Since roughly 2009 there have been no more release tarballs.
# However maintenance has moved to a publically-accessible
# repository:
#  https://code.google.com/p/scrypt/source/browse
# This can be accessed from the debian packaging repository, which
# uses git, via:
#  git config svn-remote.svn.url 'http://scrypt.googlecode.com/svn/trunk'
#  git config svn-remote.svn.fetch ':refs/remotes/svn/git-svn'
#  git svn fetch
# Unfortunately (a) point releases are not tagged, and (b) google code
# no longer supports downloading of tarballs from repo tags, due to
# abuse of that mechanism.  However, to date, the svn commits are atomic
# fixes that appear suitable for treatment as point releases.  For this
# reason they will be packaged as version+svn.r, where r is the svn
# commit number.

## scrypt 1.2.0+git.2.d8147ba

=== debian/changelog ===
scrypt (1.2.0+git.2.d8147ba-1) unstable; urgency=medium

  * merge upstream master branch

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 19 Feb 2016 11:09:07 +0000

scrypt (1.2.0+git.1.c5c3d3b-1) unstable; urgency=medium

  * merge upstream master branch

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 10 Dec 2015 10:26:29 +0000

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

%:
	dh $@ --with autoreconf --parallel

## scrypt 1.2.0+git.3.c1a9826

=== debian/changelog ===
scrypt (1.2.0+git.3.c1a9826-1) unstable; urgency=medium
  
  * merge upstream master branch
  * harden
  * bump policy version
  * harden
  * bump to debhelper 10
  * include README.md in docs

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 14 Nov 2016 15:30:22 +0000

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: utils
 Priority: optional
 Maintainer: Barak A. Pearlmutter <bap@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
 		dh-autoreconf, autoconf-archive,
 		libssl-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://www.tarsnap.com/scrypt.html
 Vcs-Git: git://anonscm.debian.org/collab-maint/scrypt.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/scrypt.git

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with autoreconf --parallel

## scrypt 1.2.1

=== debian/changelog ===
scrypt (1.2.1-1build1) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 05 Feb 2018 16:53:15 +0000

scrypt (1.2.1-1) unstable; urgency=medium

  * new upstream release

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 22 Feb 2017 15:20:49 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: scrypt
 Section: utils
 Priority: optional
-Maintainer: Barak A. Pearlmutter <bap@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Barak A. Pearlmutter <bap@debian.org>
 Build-Depends: debhelper (>= 10),
 		dh-autoreconf, autoconf-archive,
 		libssl-dev

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export SCRYPT_VERSION = $(shell dpkg-parsechangelog --show-field version | sed -e 's/-[^-][^-]*$//')

%:
	dh $@

# In the upstream tarball, but not the git repo, the autotools support
# files are in autotools/. For robustness, we link them to top level
# if necessary.

override_dh_autoreconf: configure.ac Makefile.am
	dh_autoreconf

configure.ac Makefile.am:
	ln -s autotools/$@ ./

=== debian/watch ===
version=3
http://www.tarsnap.com/scrypt.html scrypt/scrypt-(.*)\.tgz

# Signature looks like:
#  scrypt/scrypt-sigs-1.1.6.asc
# so should use:
#  opts="pgpsigurlmangle=s/\-(.*)\.tgz/-sigs-\\1.asc/"
# but ... that contains a signed armoured message containing an
# SHA256 hash of the tarball, intead of a detached PGP signature,
# so uscan fails to verify it anyway.

# A tarball for release 1.2.0 was published in 20015, with upstream
# development on git://github.com/Tarsnap/scrypt.git

## scrypt 1.3.0

=== debian/changelog ===
scrypt (1.3.0-3) unstable; urgency=medium

  * track some minor upstream documentation (non-functional) mods

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 01 Nov 2019 14:31:00 +0000

scrypt (1.3.0-2) unstable; urgency=medium

  * enable generation of library package
  * merge upstream documentation typo fix

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 19 Sep 2019 14:41:39 +0100

scrypt (1.3.0-1) unstable; urgency=medium

  * new upstream release
  * bump standards version
  * debhelper 12
  * version-four-ify debian/watch
  * Re-export upstream signing key without extra signatures.

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 13 Sep 2019 12:59:18 +0100

scrypt (1.2.2-1) unstable; urgency=medium

  * swizzle packaging repo to salsa
  * new upstream release
  * bump standards version
  * escape $ in sed command in debian/rules

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 16 Sep 2018 17:54:24 +0100

scrypt (1.2.1-2) unstable; urgency=medium

  * bump to debhelper 11
  * add gbp.conf
  * secure some URLs

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 05 Mar 2018 16:20:07 +0000

=== debian/control ===
Source: scrypt
Section: utils
Priority: optional
Maintainer: Barak A. Pearlmutter <bap@debian.org>
Build-Depends: debhelper-compat (= 12),
		autoconf-archive,
		libssl-dev
Standards-Version: 4.4.0
Homepage: https://www.tarsnap.com/scrypt.html
Vcs-Git: https://salsa.debian.org/debian/scrypt.git
Vcs-Browser: https://salsa.debian.org/debian/scrypt

Package: scrypt
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: File encryption utility using scrypt for key derivation
 A simple password-based encryption utility which demonstrates the
 scrypt key derivation function.  On modern hardware and with default
 parameters, the cost of cracking the password on a file encrypted by
 scrypt enc is approximately 100 billion times more than the cost of
 cracking the same password on a file encrypted by openssl enc; this
 means that a five-character password using scrypt is stronger than a
 ten-character password using openssl.

Package: libscrypt-kdf1
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Shared library for encryption using scrypt for key derivation
 A simple password-based encryption utility which demonstrates the
 scrypt key derivation function.  On modern hardware and with default
 parameters, the cost of cracking the password on a file encrypted by
 scrypt enc is approximately 100 billion times more than the cost of
 cracking the same password on a file encrypted by openssl enc; this
 means that a five-character password using scrypt is stronger than a
 ten-character password using openssl.
 .
 This package contains the shared library.

Package: libscrypt-kdf-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Development library for encryption using scrypt for key derivation
 A simple password-based encryption utility which demonstrates the
 scrypt key derivation function.  On modern hardware and with default
 parameters, the cost of cracking the password on a file encrypted by
 scrypt enc is approximately 100 billion times more than the cost of
 cracking the same password on a file encrypted by openssl enc; this
 means that a five-character password using scrypt is stronger than a
 ten-character password using openssl.
 .
 This package contains the development files.

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
-export SCRYPT_VERSION = $(shell dpkg-parsechangelog --show-field version | sed -e 's/-[^-][^-]*$//')
+export SCRYPT_VERSION = $(shell dpkg-parsechangelog --show-field version | sed -e 's/-[^-][^-]*$$//')
 
 %:
 	dh $@
@@ -16,4 +16,7 @@
 	dh_autoreconf
 
 configure.ac Makefile.am:
-	ln -s autotools/$@ ./
+	ln --verbose -s autotools/$@ ./
+
+override_dh_auto_configure:
+	dh_auto_configure -- --enable-libscrypt-kdf

## scrypt 1.3.1

=== debian/changelog ===
scrypt (1.3.1-2ubuntu1) jammy; urgency=medium

  * Build without -O3 on ppc64el to fix ftbfs.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 01 Mar 2022 10:36:54 +1300

scrypt (1.3.1-2build1) jammy; urgency=medium

  * No-change rebuild against openssl3

 -- Simon Chopin <simon.chopin@canonical.com>  Mon, 29 Nov 2021 13:49:53 +0100

scrypt (1.3.1-2) unstable; urgency=medium

  * update standards version to 4.6.0, no changes needed
  * upstream patch for version in README

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 12 Nov 2021 21:51:57 +0000

scrypt (1.3.1-1) unstable; urgency=medium

  * new upstream release

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 31 Aug 2020 10:20:51 +0100

scrypt (1.3.0-4) unstable; urgency=medium

  * bump policy
  * debhelper 13
  * whitespace and other non-functional tweaks
  * missing dependency (closes: #962425)

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 07 Jun 2020 22:17:35 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,13 @@
 Source: scrypt
 Section: utils
 Priority: optional
-Maintainer: Barak A. Pearlmutter <bap@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Barak A. Pearlmutter <bap@debian.org>
+Build-Depends: debhelper-compat (= 13),
 		autoconf-archive,
 		libssl-dev
-Standards-Version: 4.4.0
+Standards-Version: 4.6.0
+Rules-Requires-Root: no
 Homepage: https://www.tarsnap.com/scrypt.html
 Vcs-Git: https://salsa.debian.org/debian/scrypt.git
 Vcs-Browser: https://salsa.debian.org/debian/scrypt
@@ -42,7 +44,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, libscrypt-kdf1 (= ${binary:Version})
 Description: Development library for encryption using scrypt for key derivation
  A simple password-based encryption utility which demonstrates the
  scrypt key derivation function.  On modern hardware and with default

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,11 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 export SCRYPT_VERSION = $(shell dpkg-parsechangelog --show-field version | sed -e 's/-[^-][^-]*$$//')
+
+ifeq ($(DEB_HOST_ARCH),ppc64el)
+  export DEB_CFLAGS_MAINT_APPEND += -O2
+  export DEB_CFLAGS_MAINT_STRIP += -O3
+endif
 
 %:
 	dh $@
@@ -16,7 +21,9 @@
 	dh_autoreconf
 
 configure.ac Makefile.am:
+	@echo "Link autotools scripts to top level"
 	ln --verbose -s autotools/$@ ./
 
 override_dh_auto_configure:
+	@echo "configure to generate shared library"
 	dh_auto_configure -- --enable-libscrypt-kdf

## scrypt 1.3.2

=== debian/changelog ===
scrypt (1.3.2-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 15:38:56 +1100

scrypt (1.3.2-1build1) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 21:21:00 +0000

scrypt (1.3.2-1) unstable; urgency=medium

  * new upstream release
  * use standard mechanism for finding upstream release in debian/rules
  * Update standards version, no changes needed

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 08 Oct 2023 14:04:08 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper-compat (= 13),
 		autoconf-archive,
 		libssl-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://www.tarsnap.com/scrypt.html
 Vcs-Git: https://salsa.debian.org/debian/scrypt.git

## scrypt 1.3.3

=== debian/changelog ===
scrypt (1.3.3-1) unstable; urgency=medium

  * new upstream release

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 17 Feb 2025 22:42:18 +0000

scrypt (1.3.2-2) unstable; urgency=medium

  * bump policy
  * debian/clean entry for tests-output/ which otherwise breaks
    build-source-after-build (closes: #1048672)

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 11 Nov 2024 13:41:07 +0000

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: scrypt
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Barak A. Pearlmutter <bap@debian.org>
+Maintainer: Barak A. Pearlmutter <bap@debian.org>
 Build-Depends: debhelper-compat (= 13),
 		autoconf-archive,
 		libssl-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://www.tarsnap.com/scrypt.html
 Vcs-Git: https://salsa.debian.org/debian/scrypt.git

=== debian/rules ===
--- 
+++ 
@@ -3,12 +3,9 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
-export SCRYPT_VERSION = $(shell dpkg-parsechangelog --show-field version | sed -e 's/-[^-][^-]*$$//')
+include /usr/share/dpkg/pkg-info.mk
 
-ifeq ($(DEB_HOST_ARCH),ppc64el)
-  export DEB_CFLAGS_MAINT_APPEND += -O2
-  export DEB_CFLAGS_MAINT_STRIP += -O3
-endif
+export SCRYPT_VERSION = $(DEB_VERSION_UPSTREAM)
 
 %:
 	dh $@
